Package org.silverpeas.mobile.server.services

## Class ServiceFormsOnline

- java.lang.Object
- - org.silverpeas.core.web.rs.RESTWebService
  - - org.silverpeas.mobile.server.services.AbstractRestWebService
    - - org.silverpeas.mobile.server.services.ServiceFormsOnline

- All Implemented Interfaces:
    `org.silverpeas.core.web.rs.ProtectedWebResource`, `org.silverpeas.core.web.rs.WebAuthenticationValidation`, `org.silverpeas.core.web.rs.WebAuthorizationValidation`, `org.silverpeas.core.web.SilverpeasWebResource`

      @WebService
      @Authorized
      @Path("mobile/formsOnline/{appId}")
      public class ServiceFormsOnline
      extends AbstractRestWebService

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.web.rs.RESTWebService

      `org.silverpeas.core.web.rs.RESTWebService.WebProcess<R extends Object>, org.silverpeas.core.web.rs.RESTWebService.WebTreatment<R extends Object>`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.server.services.AbstractRestWebService

      `MAINSESSIONCONTROLLER_ATTRIBUT_NAME`

    - ### Fields inherited from class org.silverpeas.core.web.rs.RESTWebService

      `RESPONSE_HEADER_ARRAYSIZE`

    - ### Fields inherited from interface org.silverpeas.core.web.SilverpeasWebResource

      `BASE_PATH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceFormsOnline()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getComponentId()` |
    `String` | `getComponentParameterValue​(String parameterName)` |
    `List<FormFieldDTO>` | `getForm​(String formName)` |
    `FormLayerDTO` | `getFormLayer​(String formName, String layerType)` |
    `List<FormRequestDTO>` | `getMyRequests()` |
    `List<FormDTO>` | `getReceivablesForms()` |
    `List<FormRequestDTO>` | `getRequests​(String formId)` |
    `protected String` | `getResourceBasePath()` |
    `List<FormDTO>` | `getSendablesForms()` |
    `List<BaseDTO>` | `getUserField​(String formName, String fieldName)` |
    `FormRequestDTO` | `loadRequest​(String requestId)` |
    `void` | `processRequest​(String requestId, ValidationRequestDTO validation)` |
    `Boolean` | `saveForm​(String formId)` |

    - ### Methods inherited from class org.silverpeas.mobile.server.services.AbstractRestWebService

      `createStreamingList, getMainSessionController, getSettings, initSilverpeasSession, makeStreamingList, setMainsessioncontroller`

    - ### Methods inherited from class org.silverpeas.core.web.rs.RESTWebService

      `createWebResourceUri, fromPage, getBundle, getBundleLocation, getHighestUserRole, getHttpRequest, getHttpServletRequest, getHttpServletResponse, getOrganisationController, getSilverpeasContext, getUri, getUser, getUserPreferences, getUserRoles, identifiedBy, identifiedBy, initContext, initWebResourceUri, isUserDefined, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.web.rs.ProtectedWebResource

      `validateUserAuthorization`

    - ### Methods inherited from interface org.silverpeas.core.web.rs.WebAuthenticationValidation

      `validateUserAuthentication`

- - ### Constructor Detail

    - #### ServiceFormsOnline

          public ServiceFormsOnline()

  - ### Method Detail

    - #### loadRequest

          @POST
          @Consumes("application/json")
          @Produces("application/json")
          @Path("loadRequest/{requestId}")
          public FormRequestDTO loadRequest​(@PathParam("requestId")
                                            String requestId)

    - #### processRequest

          @POST
          @Consumes("application/json")
          @Produces("application/json")
          @Path("processRequest/{requestId}")
          public void processRequest​(@PathParam("requestId")
                                     String requestId,
                                     ValidationRequestDTO validation)

    - #### getReceivablesForms

          @GET
          @Produces("application/json")
          @Path("receivables")
          public List<FormDTO> getReceivablesForms()

    - #### getSendablesForms

          @GET
          @Produces("application/json")
          @Path("sendables")
          public List<FormDTO> getSendablesForms()

    - #### getRequests

          @GET
          @Produces("application/json")
          @Path("requests/{formId}")
          public List<FormRequestDTO> getRequests​(@PathParam("formId")
                                                  String formId)

    - #### getMyRequests

          @GET
          @Produces("application/json")
          @Path("myrequests")
          public List<FormRequestDTO> getMyRequests()

    - #### saveForm

          @POST
          @Consumes("multipart/form-data")
          @Produces("application/json")
          @Path("saveForm/{formId}")
          public Boolean saveForm​(@PathParam("formId")
                                  String formId)

    - #### getFormLayer

          @GET
          @Produces("application/json")
          @Path("formlayer/{formName}/{layerType}")
          public FormLayerDTO getFormLayer​(@PathParam("formName")
                                           String formName,
                                           @PathParam("layerType")
                                           String layerType)

    - #### getForm

          @GET
          @Produces("application/json")
          @Path("form/{formName}")
          public List<FormFieldDTO> getForm​(@PathParam("formName")
                                            String formName)

    - #### getUserField

          @GET
          @Produces("application/json")
          @Path("form/{formName}/{fieldName}")
          public List<BaseDTO> getUserField​(@PathParam("formName")
                                            String formName,
                                            @PathParam("fieldName")
                                            String fieldName)

    - #### getResourceBasePath

          protected String getResourceBasePath()

      Specified by:
        `getResourceBasePath` in class `org.silverpeas.core.web.rs.RESTWebService`

    - #### getComponentId

          public String getComponentId()

    - #### getComponentParameterValue

          public String getComponentParameterValue​(String parameterName)